#ifndef WINGS
    #define WINGS

#define MAX_MISSILES 4

// missiles management
typedef struct Missile
{
    short x;
    short y;
    unsigned char dir;
//    short distance; // distance between the plane and the missile
    unsigned char type;
} Missile;

// plane management
typedef struct Plane
{
    short x;
    short y;
    unsigned char dir;

    /* plane direction management
    3      2     1
    4    plane   0
    5      6     7
    */

    unsigned char life;
    unsigned char reload;

    Missile missiles[MAX_MISSILES];
    // align
} Plane;

typedef struct Cloud
{
    short x;
    short y;
} Cloud;

typedef enum Type
{
    dX = 0,
    dY = 2,
} Type;

int menu(void);
void init(void);
char get_decal(unsigned char dir, Type type);
void *update_frame(void);
int game(void);

#endif
